Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033863
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 07. Sales managementmajoralways2016-08-31 09:322016-09-16 09:32
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q3.2
StatusclosedFix in branchFixed in SCM revisiond71a86791e4a
ProjectionnoneETAnoneTarget Version3.0PR16Q3.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033863: Wrong Total Gross Amount in orders and invoices as the changes made in tax tab records do not recalculate it

DescriptionWrong Total Gross Amount in orders and invoices as the changes made in tax tab records do not recalculate it

Should the user be able to edit or remove the records in tax tab with recalculate = 'Y'?
Steps To ReproduceAs group admin role:
   Create a Sales Invoice
   Add a line with a product and a tax rate different from 0
   Go to Tax tab and modify the tax amount. Check the recalculate checkbox is selected
   The total gross amount is not updated
   Complete it and check the total gross amount is not the total net amount plus tax amount
   Repeat the process with purchase invoice
   Repeat the process also by deleting the record in Tax tab instead of editing it
   In this case the problem is also reproducible in orders
   If you post the invoice the difference is posted in the Suspence Balancing Account
Proposed SolutionIt should not be posible to either modify or delete "Tax" set as "Recalculate" = Yes (the ones created automatically by Openbravo)

New lines should be created manually in case a given adjustment is required.

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0033859 closedAtulOpenbravo Wrong Total Gross Amount in orders and invoices as the changes made in tax tab records do not recalculate it 

-  Notes
(0089953)
AtulOpenbravo (developer)
2016-09-14 13:07

Test Plan
- Create a Sales Invoice for "Moon Light Restaurants, Co." in F&B US Inc Org.
- Create Line with Product "Ale Beer", Quantity = 1, Unit Price 100, Tax = CA Sales Tax.
- Check Header info: Total Gross Amount = 108.25, Total Net Amount = 100.
- Go to Tax Tab: Select record with CA Sales Tax.
- Check Tax, Tax Amount, Taxable Amount fields are not editable, Recalculate flag = Yes.
- Try to delete above record: Error message is shown:"Cannot delete invoice tax record with recalculate flag = yes."
- Add new record in Invoice Tax Tab with Tax "FL Sales Tax",Taxable amount=100.
- Check Tax, Tax Amount, Taxable Amount fields are editable, Recalculate flag = No. Tax Amount = 6.
- Check Header info: Total Gross Amount = 114.25, Total Net Amount = 100.
- Try to delete above record. Record is deleted successfully.
- Check Header info: Total Gross Amount = 108.25, Total Net Amount = 100.
- Try to delete Invoice Header. Record is deleted successfully.
(0090009)
hgbot (developer)
2016-09-16 09:15

Repository: erp/backports/3.0PR16Q3.2
Changeset: d71a86791e4ae08169b6a29734ac68a64dbb54b8
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Sep 14 15:36:20 2016 +0530
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.2/rev/d71a86791e4ae08169b6a29734ac68a64dbb54b8 [^]

Fixes issue 33863: Wrong Total Gross Amount in orders and invoices

Wrong Total Gross Amount in orders and invoices as the changes made in tax tab records do not recalculate it.

For Purchase Order and Sales Order, Tax tab is made read only so only record are created, modified and deleted only through order lines.
Manual insertion, updation and deletion is not possible.

In case of Sales Invoice and Purchase Invoices, records created by invoice line are marked with recalculate flag = Yes.
Read Only logic based on this flag does not allow user to modify fields tax, tax amount and taxable amount of invoice tax records.
Event handler restricts user to delete invoice tax records with recalculate flag = Yes.
To avoid event handlers interference with ReorderCascadingChildDeletionsHandler.java, on Invoice deletetion, before deleting invoice tax records, flag recalculate is set = No

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/ReorderCascadingChildDeletionsHandler.java
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_TAB.xml
A src/org/openbravo/event/InvoiceTaxEventHandler.java
---
(0090025)
aferraz (developer)
2016-09-16 09:32

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-08-31 12:22 aferraz Type defect => backport
2016-08-31 12:22 aferraz Target Version => 3.0PR16Q3.2
2016-09-14 13:07 AtulOpenbravo Note Added: 0089953
2016-09-16 09:15 hgbot Checkin
2016-09-16 09:15 hgbot Note Added: 0090009
2016-09-16 09:15 hgbot Status scheduled => resolved
2016-09-16 09:15 hgbot Resolution open => fixed
2016-09-16 09:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q3.2/rev/d71a86791e4ae08169b6a29734ac68a64dbb54b8 [^]
2016-09-16 09:32 aferraz Review Assigned To => aferraz
2016-09-16 09:32 aferraz Note Added: 0090025
2016-09-16 09:32 aferraz Status resolved => closed
2016-09-16 09:32 aferraz Fixed in Version => 3.0PR16Q3.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker